<jsp:directive.page pageEncoding="UTF-8" />
<jsp:scriptlet>
	// printPageContext.jsp は、javax.servlet.jsp.PageContext オブジェクトのことです。
	// JSP では、pageContext オブジェクトでアクセスできます。
	// スコープは、page です。
</jsp:scriptlet>

<b>PageContext ParameterValues</b><br />
<table border="2" frame="box" rules="all" >
<tr><th>KEY</th><th>VALUE</th></tr>
<jsp:scriptlet>
	if( true ) {
		java.util.Enumeration enum1 = request.getParameterNames();

		while( enum1.hasMoreElements() ) {
			String key = (String)(enum1.nextElement());
			for( String value : request.getParameterValues( key ) ) {
</jsp:scriptlet>
<tr>
	<td><jsp:expression>key</jsp:expression></td>
	<td style="white-space: normal"><jsp:expression>value</jsp:expression></td>
</tr>
<jsp:scriptlet>
		    }
		}
	}
</jsp:scriptlet>
</table>
<p><!-- --></p>
